relude-1.2.2.0: Safe, performant, user-friendly and lightweight Haskell Standard Library

Copyright | (c) 2016 Stephen Diehl (c) 2016-2018 Serokell (c) 2018-2023 Kowainik
License | MIT
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | Safe
Language | Haskell2010

Relude.Bool

Description

Convenient commonly used and very helpful functions to work with `Bool` and also with monads.

Synopsis

- module Relude.Bool.Reexport
- module Relude.Bool.Guard

# Documentation

module Relude.Bool.Reexport

Reexports from Data.Bool and Control.Monad. Includes necessary types and functions to work with `Bool` type.

module Relude.Bool.Guard

Boolean combinators that work in monads. Like `ifM` or `guardM`.